## Function `icrsToEcl( xyz )`

Description:
  Converts a 3-element vector representing ICRS (equatorial) coordinates to ecliptic coordinates. This can be used with position or velocity vectors.

  The transformation corresponds to that between the coordinates `(ra,dec)` and `(ecl_lon,ecl_lat)` in the Gaia source catalogue (DR2).

Parameters:
  `xyz` (array of floating point)
    3-element vector giving ICRS Cartesian components

Return Value (array of floating point):
  3-element vector giving ecliptic Cartesian components

Example:
  `icrsToEcl(polarXYZ(ra, dec, distance))`

Signature:
  `double[] icrsToEcl(double[])`